Deprecating infrastructure "int" domains
Kim Davies
Internet Assigned Numbers Authority
PTI/ICANN
12025 Waterfront Drive
Los Angeles
90094
United States of America
kim.davies@iana.org
Amanda Baber
Internet Assigned Numbers Authority
PTI/ICANN
12025 Waterfront Drive
Los Angeles
90094
United States of America
amanda.baber@iana.org
05 January 2022
Internet-Draft
The document marks as historic any “int” domain names that were designated for infrastructure purposes, and identifies them for removal from the “int” top-level domain. Any implementation that involves these domains should be considered deprecated. This document also marks RFC 1528 and RFC 1706 as historic, and updates RFC 1591 by removing the documented use of “int” for international databases.

Introduction
The “int” top-level domain [RFC1591] is a specialized domain designated for intergovernmental organizations, which are organizations established by international treaties between or among national governments.
Historically, the “int” domain was also used for Internet infrastructure related purposes. This practice ended in 2001 when the “arpa” domain was declared the appropriate home for infrastructural identifier spaces [RFC3172]. In conjunction with this change, the eligibility for “int” domains was limited to only intergovernmental treaty organizations.
The documented uses of infrastructural identifiers in the “int” domain were largely experimental and in practice obsolete. This document formalizes moving the related specifications to historic status, along with removing any associated delegations from the “int” zone in the domain name system.

Historical infrastructural uses
The following domains were used for infrastructural identifier purposes that are now considered historic. Although each of these names was either delegated or documented at one time, the parties administering them have long since stopped using them.

atma.int
The atma.int domain was experimentally defined to implement address lookups for Asynchronous Transfer Mode (ATM), including ATM End System Addresses (AESAs). [ANS]

ip4.int
The ip4.int domain was described as providing an alternative to in-addr.arpa domain for mapping host IPv4 addresses to host names. The in-addr.arpa domain zone continues to be administered for this purpose [RFC1035].

ip6.int
The ip6.int domain was originally delegated for mapping host IPv6 addresses to host names. It was subsequently removed from the “int” zone, having been replaced by ip6.arpa for this purpose [RFC4159].

nsap.int
The nsap.int domain name was specified to experimentally map Open Systems Interconnection (OSI) Network Service Access Points to domain names [RFC1706].

rdi.int
The rdi.int domain name experimentally mapped OSI Inter-Domain Routing Protocol’s Routing Domain Identifiers [ISO10747] to the domain name system.

reg.int
The reg.int domain name hosted an experimental mechanism for publishing IANA registration values in the domain name system.

tpc.int
The tpc.int domain name hosted an experimental remote printing service that served as a gateway between Internet mail and facsimile transmission [RFC1528].

Updates to other documents

RFC 1528
The specification for tpc.int [RFC1528] should be deemed historic as it no longer functions as described in the document.

RFC 1591
The use of the “int” top-level domain for international databases should be deemed historic given the transfer of these functions to the “arpa” top-level domain [RFC3172].

RFC 1706
The specification for nsap.int [RFC1706] should be deemed historic as it no longer functions as described in the document.

IANA Considerations
The IANA shall coordinate the removal of any of the historical “int” domains discussed in this document that are still delegated in the “int” zone.

Security Considerations
Some old systems might have one or more subdomains of these names hardwired and expect a positive response for at least the second-level domain. This is, of course, true for any name in the DNS and should not be the sole basis to retain obsolete names.
Existing applications should eliminate any reliance upon these zones for their historic purpose. The operator of the “int” domain should be cautious about any potential re-use of these domains for intergovernmental treaty organizations.

Additional Information
This document is the result of an comprehensive inventory conducted by the IANA team of .int domains to accurately establish and record their purpose based on historical documentation. Following this review, the remaining domains delegated for infrastructure identifier related purposes were reviewed. As part of this review, query patterns in the DNS were analyzed and judged to be insignificant. The assessment concluded that these domains are highly likely to be obsolete and this document is intended to formalize that assessment.
There are a small number of existing “int” domains nominally for “international databases” that are not defined by any standards documentation, and are assigned to entities rather than for an identifier purpose. While they would not qualify for a “int” domain under current criteria, their disposition is beyond the scope of this memo.

Informative References
[RFC1035]

Domain names - implementation and specification
P.V. Mockapetris
November 1987
STD 13
RFC 1035
DOI 10.17487/RFC1035
[RFC1528]

Principles of Operation for the TPC.INT Subdomain: Remote Printing -- Technical Procedures
C. Malamud
M. Rose
October 1993
RFC 1528
DOI 10.17487/RFC1528
[RFC1591]

Domain Name System Structure and Delegation
J. Postel
March 1994
RFC 1591
DOI 10.17487/RFC1591
[RFC1706]

DNS NSAP Resource Records
B. Manning
R. Colella
October 1994
RFC 1706
DOI 10.17487/RFC1706
[RFC3172]

Management Guidelines & Operational Requirements for the Address and Routing Parameter Area Domain ("arpa")
G. Huston, Ed.
September 2001
BCP 52
RFC 3172
DOI 10.17487/RFC3172
[RFC4159]

Deprecation of "ip6.int"
G. Huston
August 2005
BCP 109
RFC 4159
DOI 10.17487/RFC4159
[ISO10747]

Protocol for exchange of inter-domain routeing information among intermediate systems to support forwarding of ISO 8473 PDUs
October 1994
ISO/IEC 10747:1994
[ANS]

ATM Name Service Specification Version 1.0
November 1996
ATM Forum AF-SAA-0069.000

Notes (for removal before publication)
I-D source is maintained at: https://github.com/kjd/draft-davies-int-historic

Acknowledgments
This document was compiled with help from Ted Hardie and Michelle Cotton, with additional input by Jari Arkko and Warren Kumari.